package com.jiuqi.util;

import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

/* loaded from: com_jiuqi_util.jar:com/jiuqi/util/StringHelper.class */
public class StringHelper {
    public static final char SPACE = ' ';
    public static final String nullStr = "";
    public static final String comma = ",";
    public static final String semicolon = ";";
    public static final String leftParenthesis = "(";
    public static final String rightParenthesis = ")";
    public static final String interrogation = "?";
    public static final String space = " ";
    public static final String bias = "\\";
    public static final String breakstr = "\b";
    public static final String returnstr = "\u000b";
    public static final String select = "select ";
    public static final String from = " from ";
    public static final String where = " where ";
    public static final String set = " set ";
    public static final String and = " and ";
    public static final String or = " or ";
    public static final String not = " not ";
    public static final String equal = "=";
    public static final String insert = "insert into ";
    public static final String update = "update ";
    public static final String delete = "delete from ";
    public static final String create = "create table ";
    public static final String drop = "drop table ";
    public static final String alter = "alter table ";
    private static final String[] TRUE_VALUES = {JqLib.SQL_TRUE, "T", "Y", "TRUE", "是", "对"};

    private StringHelper() {
    }

    public static boolean isNull(String value) {
        return value == null || value.equals("") || value.equalsIgnoreCase("null");
    }

    public static boolean isBoolean(String value) {
        if (value.equalsIgnoreCase("true") || value.equalsIgnoreCase("yes") || value.equalsIgnoreCase("T") || value.equalsIgnoreCase("Y") || value.equalsIgnoreCase(JqLib.SQL_TRUE) || value.equalsIgnoreCase("01") || value.equalsIgnoreCase("是") || value.equalsIgnoreCase("对") || value.indexOf("是") >= 0) {
            return true;
        }
        return false;
    }

    public static boolean parseBoolean(String value) {
        for (int i = 0; i < TRUE_VALUES.length; i++) {
            if (TRUE_VALUES[i].equalsIgnoreCase(value)) {
                return true;
            }
        }
        return false;
    }

    public static String getTrueValue(String value) {
        if (value.equalsIgnoreCase("true") || value.equalsIgnoreCase("false")) {
            return "true";
        }
        if (value.equalsIgnoreCase("yes") || value.equalsIgnoreCase("no")) {
            return "yes";
        }
        if (value.equalsIgnoreCase("T") || value.equalsIgnoreCase("F")) {
            return "T";
        }
        if (value.equalsIgnoreCase("Y") || value.equalsIgnoreCase("N")) {
            return "Y";
        }
        if (value.equalsIgnoreCase("是") || value.equalsIgnoreCase("否")) {
            return "是";
        }
        if (value.equalsIgnoreCase(JqLib.SQL_TRUE) || value.equalsIgnoreCase(JqLib.SQL_FALSE)) {
            return JqLib.SQL_TRUE;
        }
        if (value.equalsIgnoreCase("01") || value.equalsIgnoreCase("00")) {
            return "01";
        }
        return JqLib.SQL_TRUE;
    }

    public static String getFalseValue(String value) {
        if (value.equalsIgnoreCase("true") || value.equalsIgnoreCase("false")) {
            return "false";
        }
        if (value.equalsIgnoreCase("yes") || value.equalsIgnoreCase("no")) {
            return "no";
        }
        if (value.equalsIgnoreCase("T") || value.equalsIgnoreCase("F")) {
            return "F";
        }
        if (value.equalsIgnoreCase("Y") || value.equalsIgnoreCase("N")) {
            return "N";
        }
        if (value.equalsIgnoreCase("是") || value.equalsIgnoreCase("否")) {
            return "否";
        }
        if (value.equalsIgnoreCase(JqLib.SQL_TRUE) || value.equalsIgnoreCase(JqLib.SQL_FALSE)) {
            return JqLib.SQL_FALSE;
        }
        if (value.equalsIgnoreCase("01") || value.equalsIgnoreCase("00")) {
            return "00";
        }
        return JqLib.SQL_FALSE;
    }

    public static boolean notNull(String value) {
        return (value == null || value.equals("")) ? false : true;
    }

    public static boolean readBool(String str, int index) {
        boolean result = false;
        if (str != null && str.length() > index && index >= 0) {
            result = str.charAt(index) == '1';
        }
        return result;
    }

    public static String writeBool(String str, int index, boolean value) {
        StringBuffer result = str == null ? new StringBuffer() : new StringBuffer(str);
        if (index >= 0) {
            int nullcount = index - result.length();
            for (int i = 0; i <= nullcount; i++) {
                result.append('#');
            }
            result.setCharAt(index, value ? '1' : '0');
        }
        return result.toString();
    }

    public static String readString(String str, int beginIndex, int length) {
        int endIndex = beginIndex + length;
        if (str == null || str.length() <= beginIndex || beginIndex < 0 || endIndex <= beginIndex) {
            return null;
        }
        return str.substring(beginIndex, str.length() >= endIndex ? endIndex : str.length());
    }

    public static String writeString(String str, int beginIndex, int length, String value) {
        StringBuffer result = str == null ? new StringBuffer() : new StringBuffer(str);
        if (beginIndex >= 0) {
            int nullcount = (beginIndex + length) - result.length();
            for (int i = 0; i < nullcount; i++) {
                result.append(' ');
            }
            if (value != null) {
                int i2 = 0;
                while (i2 < length) {
                    char chr = i2 < value.length() ? value.charAt(i2) : ' ';
                    result.setCharAt(beginIndex + i2, chr);
                    i2++;
                }
            }
        }
        return result.toString();
    }

    public static String[] StringToStrArray(String str, String split) {
        String[] result = (String[]) null;
        if (isNull(str)) {
            return result;
        }
        if (isNull(split)) {
            String[] result2 = {str};
            return result2;
        }
        List list = new ArrayList();
        StringTokenizer st = new StringTokenizer(str, split);
        while (st.hasMoreElements()) {
            list.add(st.nextElement());
        }
        if (list.size() > 0) {
            String[] result3 = new String[list.size()];
            for (int i = 0; i < result3.length; i++) {
                result3[i] = (String) list.get(i);
            }
            return result3;
        }
        String[] result4 = {str};
        return result4;
    }

    public static boolean equalStringArray(String str1, String str2) {
        boolean result = false;
        if (isNull(str1) && isNull(str2)) {
            return true;
        }
        String[] list1 = StringToStrArray(str1);
        String[] list2 = StringToStrArray(str2);
        if (list1 == null && list2 == null) {
            return str1.equals(str2);
        }
        if (list1 == null || list2 == null) {
            return str1.equals(str2);
        }
        if (list1.length != list2.length) {
            return false;
        }
        for (String str : list1) {
            result = false;
            int k = 0;
            while (true) {
                if (k >= list2.length) {
                    break;
                }
                if (!str.equals(list2[k])) {
                    k++;
                } else {
                    result = true;
                    list2[k] = "_$#@_*&^#%^";
                    break;
                }
            }
            if (!result) {
                break;
            }
        }
        return result;
    }

    public static String[] StringToStrArray(String str, char split) {
        String[] result = (String[]) null;
        int p = 0;
        if (str == null || str.equals("")) {
            return null;
        }
        if (str.indexOf(split) < 0) {
            String[] result2 = {str};
            return result2;
        }
        List list = new ArrayList();
        for (int i = 0; i < str.length(); i++) {
            char c = str.charAt(i);
            if (c == split) {
                if (i - p > 0) {
                    String s = str.substring(p, i);
                    list.add(s);
                } else {
                    list.add("");
                }
                p = i + 1;
            }
        }
        if (p > 0 && p < str.length()) {
            String s2 = str.substring(p, str.length());
            list.add(s2);
        }
        if (list.size() > 0) {
            result = new String[list.size()];
            for (int i2 = 0; i2 < list.size(); i2++) {
                result[i2] = (String) list.get(i2);
            }
        }
        return result;
    }

    public static String[] StringToStrArray(String str) {
        String[] result = (String[]) null;
        int p = 0;
        if (str == null || str.equals("")) {
            return null;
        }
        if (str.indexOf(59) < 0 && str.indexOf(44) < 0) {
            String[] result2 = {str};
            return result2;
        }
        List list = new ArrayList();
        for (int i = 0; i < str.length(); i++) {
            char c = str.charAt(i);
            if (c == ';' || c == ',') {
                if (i - p > 0) {
                    String s = str.substring(p, i);
                    list.add(s);
                } else {
                    list.add("");
                }
                p = i + 1;
            }
        }
        if (p > 0 && p < str.length()) {
            String s2 = str.substring(p, str.length());
            list.add(s2);
        }
        if (list.size() > 0) {
            result = new String[list.size()];
            for (int i2 = 0; i2 < list.size(); i2++) {
                result[i2] = (String) list.get(i2);
            }
        }
        return result;
    }

    public static String stringOfChar(char c, int length) {
        StringBuffer result = new StringBuffer(length);
        for (int i = 0; i < length; i++) {
            result.append(c);
        }
        return result.toString();
    }

    public static String trimAll(String str, char c) {
        if (isNull(str)) {
            return null;
        }
        StringBuffer result = new StringBuffer(str.length());
        for (int i = 0; i < str.length(); i++) {
            if (str.charAt(i) != c) {
                result.append(str.charAt(i));
            }
        }
        return result.toString();
    }

    public static String trimAll(String str) {
        return trimAll(str, ' ');
    }

    public static String trimL(String str) {
        if (isNull(str)) {
            return null;
        }
        if (str.length() == 0 || str.charAt(0) != ' ') {
            return str;
        }
        int pos = 1;
        int i = 1;
        while (true) {
            if (i >= str.length()) {
                break;
            }
            if (str.charAt(i) == ' ') {
                i++;
            } else {
                pos = i;
                break;
            }
        }
        return str.substring(pos);
    }

    public static String trimR(String str) {
        if (isNull(str)) {
            return null;
        }
        int len = str.length();
        if (len == 0 || str.charAt(len - 1) != ' ') {
            return str;
        }
        int pos = len - 2;
        int i = pos;
        while (true) {
            if (i < 0) {
                break;
            }
            if (str.charAt(i) == ' ') {
                i--;
            } else {
                pos = i;
                break;
            }
        }
        return str.substring(0, pos + 1);
    }

    public static String trimLR(String str) {
        if (isNull(str)) {
            return null;
        }
        return str.trim();
    }

    public static boolean safeEquals(String str1, String str2) {
        return (isNull(str1) ? "" : str1).equals(isNull(str2) ? "" : str2);
    }

    public static boolean safeEqualsIgnoreCase(String str1, String str2) {
        return (isNull(str1) ? "" : str1).equalsIgnoreCase(isNull(str2) ? "" : str2);
    }

    public static int safeCompare(String str1, String str2) {
        return (isNull(str1) ? "" : str1).compareTo(isNull(str2) ? "" : str2);
    }

    public static int safeCompareIgnoreCase(String str1, String str2) {
        return (isNull(str1) ? "" : str1).compareToIgnoreCase(isNull(str2) ? "" : str2);
    }

    public static int safeIndexOf(String str, String subStr) {
        return (isNull(str) ? "" : str).indexOf(isNull(subStr) ? "" : subStr);
    }

    public static int safeIndexOfIgnoreCase(String str, String subStr) {
        return (isNull(str) ? "" : str.toLowerCase()).indexOf(isNull(subStr) ? "" : subStr.toLowerCase());
    }
}
